## slxfig 0~svn.192

=== Makefile ===
# -*- sh -*-


SHELL = /bin/sh

all:
	cd src; $(MAKE) all
clean:
	cd src; $(MAKE) clean
	cd examples/plot; $(MAKE) clean	
	/bin/rm -f *~ \#*
distclean: clean
	cd src; $(MAKE) distclean
	/bin/rm -f config.log config.cache config.status Makefile
install:
	cd src; $(MAKE) install
#
configure: autoconf/aclocal.m4 autoconf/configure.ac
	cd autoconf && autoconf && mv ./configure ..
update: autoconf/config.sub autoconf/config.guess
autoconf/config.guess: /usr/share/misc/config.guess
	/bin/cp -f /usr/share/misc/config.guess autoconf/config.guess
autoconf/config.sub: /usr/share/misc/config.sub
	/bin/cp -f /usr/share/misc/config.sub autoconf/config.sub
#
.PHONY: all install clean update
#

=== examples/plot/Makefile ===
# -*- sh -*-

SL_FILES = simple.sl subplot.sl color.sl histplt.sl image.sl errbar.sl 
PNG_FILES = simple.png subplot.png color.png histplt.png image.png errbar.png 

png: $(PNG_FILES)
%.png: %.sl
	slsh $<
clean:
	/bin/rm -f $(PNG_FILES) *.fig *~
	/bin/rm -rf slxfigtmp
	/bin/rm -rf tmp_* autoeps

## slxfig 0.2.0~.35

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
SL2TM = sl2tm
MACRODIR = /aluche/d1/web/tm-dist/macros

MODULE = slxfig
HLPFUNS_TM = 
AUTOGEN_TM = slxfigfuns.tm
MODULE_DEPS = $(AUTOGEN_TM)

TXT_FILES = $(MODULE).txt
SGML_FILES = $(MODULE).sgml
HTML_FILES = $(MODULE).html
TEX_FILES = $(MODULE).tex
PS_FILES = $(MODULE).ps 
PDF_FILES = $(MODULE).pdf
HLP_FILE = $(MODULE).hlp

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
LATEX = latex
PDFLATEX = pdflatex

TEXTDIR = ../text
PSDIR = ../ps
HTMLDIR = ../html
SGMLDIR = ../sgml
PDFDIR = ../pdf
HELPDIR = ../help

SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(HELPDIR)
SRCDIR = `pwd`

text-files: $(TXT_FILES) $(HLP_FILE)
all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES)
slxfigfuns.tm: ../../src/xfig/*.sl
	$(SL2TM) ../../src/xfig/*.sl > slxfigfuns.tm
#----- SGML Files -----------------------------------------------------------
$(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
	$(TMEXPAND) -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
#----- HTML Files -----------------------------------------------------------
$(MODULE).html : $(MODULE).sgml
	$(SGML2HTML) $(MODULE).sgml
#----- TeX Files ------------------------------------------------------------
$(MODULE).tex : $(MODULE).sgml
	$(SGML2LATEX) $(MODULE).sgml
	jed -script ./fixtex.sl $(MODULE).tex
#----- PDF Files -----------------------------------------------------------
$(MODULE).pdf : $(MODULE).tex
	$(MAKE) texclean
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
#----- PS Files -----------------------------------------------------------
$(MODULE).ps : $(MODULE).tex texclean
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	dvips -o $(MODULE).ps $(MODULE).dvi
#----- Text Files -----------------------------------------------------------
$(MODULE).txt: $(MODULE).sgml
	$(SGML2TXT) $(MODULE).sgml
#----------------------------------------------------------------------------
help-files: $(HLP_FILE)
$(HLP_FILE): slxfigfuns.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp slxfigfuns.tm $(HLP_FILE)
texclean:
	-rm -f *.dvi *.log *.aux *.toc *.out
clean: texclean
	-rm -f *~ rtl/*.BAK rtl/*~ *.tmp *-error
distclean: clean
	-rm -f *.html *.ps $(HLP_FILE) $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES) $(AUTOGEN_TM)
install-txt: $(TXT_FILES)
	-mv $(TXT_FILES) ../text
install-help: $(HLP_FILE)
	-mkdir -p $(HELPDIR)
	-mv $(HLP_FILE) $(HELPDIR)
install-all: all install-help install-txt $(PS_FILES) $(PDF_FILES)
	-mkdir -p $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR)
	-mv *.html $(HTMLDIR)
	-mv $(PS_FILES) ../ps
	-mv $(SGML_FILES) ../sgml
	-mv $(PDF_FILES) ../pdf
install: install-txt install-help

=== examples/plot/Makefile ===
# -*- sh -*-

SL_FILES = simple.sl subplot.sl color.sl histplt.sl image.sl errbar.sl \
  overlay.sl symbol.sl scatter.sl world.sl
PNG_FILES = simple.png subplot.png color.png histplt.png image.png \
  errbar.png symbol.png scatter.png world.png

png: $(PNG_FILES)
%.png: %.sl
	./run.sl ./$<
clean:
	/bin/rm -f $(PNG_FILES) *.fig *~
	/bin/rm -rf slxfigtmp
	/bin/rm -rf tmp_* autoeps

## slxfig 0.2.0~.117

=== examples/plot/Makefile ===
PNG_FILES = \
  axisxform.png \
  color.png \
  colors.png \
  errbar.png \
  font-style.png \
  histplt.png \
  image.png \
  multiplot.png \
  multiplot2.png \
  overlay.png \
  scatter.png \
  simple.png \
  subplot.png \
  symbol.png \
  scilabel.png \
  ticlabels.png \
  world.png
# project.png \

include ../Makefile.sub

## slxfig 0.2.0~.131

=== debian/changelog ===
slxfig (0.2.0~.131-4) unstable; urgency=medium

  * QA upload.

  * d/u/metadata: New file
  * d/p/honor-cppflags-ldflags.patch: New patch
  * d/p/no-makefile-check.patch: New patch
  * d/slang-xfig.lintian-overrides: Add override for
    package-contains-documentation-outside-usr-share-doc 

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Nov 2021 16:16:45 -0300

slxfig (0.2.0~.131-3) unstable; urgency=medium

  * QA upload.

  * d/t/control: Add the necessary dependencies for running the unit
    tests (fig2dev, ghostscript, and texlive-*)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 30 Sep 2021 14:53:24 -0300

slxfig (0.2.0~.131-2) unstable; urgency=medium

  * QA upload.

  * d/control: Drop versioned constraint on jed in Recommends
  * d/t/control: Depend in slsh

 -- Rafael Laboissière <rafael@debian.org>  Thu, 30 Sep 2021 06:12:00 -0300

slxfig (0.2.0~.131-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 0.2.0~.131
  * Create Git repository at Salsa.debian.org.
    The Git repository was created with "gbp import-dscs --debsnap",
    instead of doing archeological work in the Alioth archives. The layout
    of the repository follows the recommendation in DEP-14.
  * d/s/format: Use source format 3.0 (quilt)
  * Bump debhelper compatibility level to 13 (Closes: #965819)
    + d/control: Set dependency on debhelper-compat = 13
    + d/compat: Drop file
  * Switch from CDBS to debhelper
    + d/control: Drop the build-dependencies on cdbs and dpkg-dev
    + d/rules: Use the dh sequencer
  * d/control:
    + Change Priority from extra to optional
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add Rules-Requires-Root: no
    + Drop uneeded build-dependency on slang-gsl
    + Drop uneeded build-dependency on slang-histogram
      The histogram module is now in the libslang2-modules package.
  * d/copyright: Convert to DEP-5 format
  * Activate dh_autoreconf
    + d/rules: Move the generated autoconf/configure to the top directory
    + d/autoreconf: New file
    + d/p/update-configure.patch: New patch
    + d/source/options: Ignore the configure file
    + d/clean: Remove the leftover directory autoconf/autoconf
  * Exercise the unit tests properly
    + d/p/slsh-path-unit-test.patch: New patch
    + d/rules: Run the unit test by setting the SL_SH environment variable
    + d/clean: Remove the files left over by the unit tests
  * d/watch:
    + Use secure URI
    + Bump version to 4 (no changes)
  * d/t/control: Add autopkgtest support

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Sep 2021 10:58:05 -0300

slxfig (0.2.0~.117-2) unstable; urgency=medium

  * QA upload.
  * Add the missing build dependencies on texlive-fonts-recommended
    and texlive-fonts-extra.

 -- Adrian Bunk <bunk@debian.org>  Thu, 29 Jun 2017 07:25:10 +0300

slxfig (0.2.0~.117-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Make build errors in build/slang-xfig fatal.
  * Apply patch from Roland Rosenfeld to use fig2dev instead of
    the transitional transfig package. (Closes: #866156)

 -- Adrian Bunk <bunk@debian.org>  Tue, 27 Jun 2017 22:21:20 +0300

slxfig (0.2.0~.35-2) unstable; urgency=medium

  * QA (group) upload
  * d/control:
    + Remove myself from the Uploaders list (closes: #571891)
    + Set Maintainer to Debian QA Group (orhpaned package)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 02 Aug 2016 05:33:02 -0300

slxfig (0.2.0~.35-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: configure: error: unable to find the slang library and
    header file slang.h": add patch from Ubuntu / Ilya Barygin:
    adjust debian/rules to multiarched slang2.
    Additionally build-depend on multiarched libslang2-dev and
    dpkg-dev (>= 1.16.0)
    (Closes: #640688)

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Jan 2012 16:14:31 +0100

slxfig (0.2.0~.35-1) unstable; urgency=low

  * New usptream release

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Jun 2009 20:44:41 +0200

slxfig (0.2.0~.33-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
  * debian/copyright:
    + Replace copyright tag (c) by the UTF-8 character © (Lintian warning)
    + Update copyright year and put the Debian packaging under the terms
      of GPL-3+
    + Add reference to GPL-2 file

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 23 Apr 2009 22:42:15 +0200

slxfig (0.2.0~.30-1) unstable; urgency=low

  * New upstream version
  * debian/watch: Use the upstream author's web site to check for new
    versions
  * debian/patches/*: Drop patches that were needed for SLang 2.0
  * debian/rules: Do not include CDBS' simple-patchsys
  * debian/control:
    - Bump Standards-Version to 3.8.0 (no changes needed)
    - Add ${misc:Depends} to Depends

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 07 Dec 2008 23:48:19 +0100

slxfig (0~svn.192-4) unstable; urgency=low

  * debian/rules: Explicitly add the local-packages directory to
    SLSH_PATH.  This should fix Bug#471621, but let us see how the
    autobuilders behave.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 20 Mar 2008 16:48:33 +0100

slxfig (0~svn.192-3) unstable; urgency=low

  * debian/control: Append trunk/ to the path in Vcs-Svn:, such that
    debcheckout works
  * debian/control: Add ghostscript as build-dependency

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Mar 2008 11:26:31 +0100

slxfig (0~svn.192-2) unstable; urgency=low

  * Rebuilt against newer version of libslang2
  * debian/control:
    + Dropped Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 05 Dec 2007 11:45:23 +0100

slxfig (0~svn.192-1) unstable; urgency=low

  * New SVN upstream "release"


=== debian/control ===
Source: slxfig
Section: science
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               fig2dev,
               texlive-latex-base,
               texlive-base-bin,
               slsh (>= 2.0.7-2),
               libslang2-dev (>= 2.2.4-3~),
               ghostscript,
               texlive-fonts-recommended,
               texlive-fonts-extra
Standards-Version: 4.6.0
Homepage: http://www.jedsoft.org/fun/slxfig/
Vcs-Git: https://salsa.debian.org/debian/slxfig.git
Vcs-Browser: https://salsa.debian.org/debian/slxfig
Rules-Requires-Root: no

Package: slang-xfig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fig2dev
Recommends: slsh (>= 2.0.7) | jed,
 texlive-latex-base, texlive-base-bin
Description: produce plots and drawings through Xfig's fig2dev in S-Lang
 SLxfig is a S-Lang module that produces plots, drawings, etc in a
 variety of formats (.ps, .eps, .png, .jpeg, etc). It accomplishes this
 via S-Lang scripts that automatically run Xfig's fig2dev and LaTeX to
 produce the desired output format.

=== debian/tests/control ===
Test-Command: make -C examples/plot
Depends: @, slsh, fig2dev, texlive-latex-base,
 texlive-base-bin, ghostscript, texlive-fonts-recommended,
 texlive-fonts-extra

## slxfig 0.2.0~.134

=== debian/changelog ===
slxfig (0.2.0~.134-2) unstable; urgency=medium

  * d/p/honor-cppflags-ldflags.patch: Drop patch (applied upstream)
  * Adopt package (Closes: #748270)
  * d/control: Add Multi-Arch: same
  * d/slang-xfig.examples: Install unit tests as examples

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 Nov 2021 12:44:34 -0300

slxfig (0.2.0~.134-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 0.2.0~.134
  * d/p/honor-cppflags-ldflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Mon, 22 Nov 2021 15:57:25 -0300

## slxfig 0.2.0~.135

=== debian/changelog ===
slxfig (0.2.0~.135-1) unstable; urgency=medium

  * New upstream version 0.2.0~.135

 -- Rafael Laboissière <rafael@debian.org>  Wed, 22 Dec 2021 03:35:45 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: slxfig
 Section: science
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                fig2dev,
                texlive-latex-base,
@@ -19,6 +19,7 @@
 
 Package: slang-xfig
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, fig2dev
 Recommends: slsh (>= 2.0.7) | jed,
  texlive-latex-base, texlive-base-bin

## slxfig 0.2.0~.136

=== debian/changelog ===
slxfig (0.2.0~.136-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove constraints unnecessary since buster (oldstable)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:01:04 -0300

slxfig (0.2.0~.136-1) unstable; urgency=medium

  * New upstream version 0.2.0~.136
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 28 May 2022 10:59:19 -0300

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
                fig2dev,
                texlive-latex-base,
                texlive-base-bin,
-               slsh (>= 2.0.7-2),
-               libslang2-dev (>= 2.2.4-3~),
+               slsh,
+               libslang2-dev,
                ghostscript,
                texlive-fonts-recommended,
                texlive-fonts-extra
-Standards-Version: 4.6.0
-Homepage: http://www.jedsoft.org/fun/slxfig/
+Standards-Version: 4.6.1
+Homepage: https://www.jedsoft.org/fun/slxfig/
 Vcs-Git: https://salsa.debian.org/debian/slxfig.git
 Vcs-Browser: https://salsa.debian.org/debian/slxfig
 Rules-Requires-Root: no
@@ -21,7 +21,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, fig2dev
-Recommends: slsh (>= 2.0.7) | jed,
+Recommends: slsh | jed,
  texlive-latex-base, texlive-base-bin
 Description: produce plots and drawings through Xfig's fig2dev in S-Lang
  SLxfig is a S-Lang module that produces plots, drawings, etc in a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

export AUTOHEADER = true
execute_after_dh_autoreconf:
	mv autoconf/configure .

override_dh_auto_build:
	dh_auto_build -- RPATH=

override_dh_auto_install:
	dh_auto_install -- datarootdir=/usr/share

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	SLSH_PATH=. $(MAKE) -C src test
	SLSH_PATH=../../src $(MAKE) -C examples/plot
endif

=== debian/watch ===
version=4
opts="uversionmangle=s/pre([\d.]+)-(\d+)/$1~.$2/"			\
  https://www.jedsoft.org/snapshots/					\
  slxfig-(.*).tar.gz

## slxfig 0.2.0~.138

=== examples/Makefile ===
SUBDIRS = \
  3d \
  draw \
  transparent \
  pict \
  plot \
  polyline

all clean distclean:
	@for subdir in $(SUBDIRS); do \
	  make -C $$subdir $@; \
	done

=== doc/tm/Makefile ===
--- 
+++ 
@@ -1,24 +1,26 @@
 # -*- sh -*-
 #
-# To create the SGML files, you will need to install the tm-utils
-# package.  See http://www.jedsoft.org/ for more information.
+# To create the SGML files, you will need to install a recent version of
+# the the tmexpand.  See <http://www.jedsoft.org/jed/madewithjed.html>
+# for more information.
 #
-TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
-SL2TM = sl2tm
-MACRODIR = /aluche/d1/web/tm-dist/macros
+TMEXPAND = tmexpand
+TM2HLP = $(TMEXPAND) -Mslhlp
+SL2TM = tm-strip
+TMSORT = tm-sort
 
 MODULE = slxfig
-HLPFUNS_TM = 
-AUTOGEN_TM = slxfigfuns.tm
+AUTOGEN_TM = $(MODULE)funs.tm
 MODULE_DEPS = $(AUTOGEN_TM)
 
 TXT_FILES = $(MODULE).txt
 SGML_FILES = $(MODULE).sgml
 HTML_FILES = $(MODULE).html
 TEX_FILES = $(MODULE).tex
-PS_FILES = $(MODULE).ps 
+PS_FILES = $(MODULE).ps
 PDF_FILES = $(MODULE).pdf
 HLP_FILE = $(MODULE).hlp
+HLP_FILES = $(HLP_FILE) gcontour.hlp vector.hlp
 
 SGML2LATEX = sgml2latex -p letter -o tex
 SGML2HTML = sgml2html
@@ -36,13 +38,15 @@
 SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(HELPDIR)
 SRCDIR = `pwd`
 
-text-files: $(TXT_FILES) $(HLP_FILE)
+text-files: $(TXT_FILES) $(HLP_FILES)
 all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES)
-slxfigfuns.tm: ../../src/xfig/*.sl
-	$(SL2TM) ../../src/xfig/*.sl > slxfigfuns.tm
+$(AUTOGEN_TM): ../../src/xfig/*.sl
+	$(SL2TM) $+ > $@
+	$(TMSORT) $@
+	-rm -f $@.BAK
 #----- SGML Files -----------------------------------------------------------
 $(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
-	$(TMEXPAND) -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
+	$(TMEXPAND) $(MODULE).tm $(MODULE).sgml
 #----- HTML Files -----------------------------------------------------------
 $(MODULE).html : $(MODULE).sgml
 	$(SGML2HTML) $(MODULE).sgml
@@ -66,20 +70,24 @@
 $(MODULE).txt: $(MODULE).sgml
 	$(SGML2TXT) $(MODULE).sgml
 #----------------------------------------------------------------------------
-help-files: $(HLP_FILE)
-$(HLP_FILE): slxfigfuns.tm
-	$(TMEXPAND) -I$(MACRODIR) -Mslhlp slxfigfuns.tm $(HLP_FILE)
+help-files: $(HLP_FILES)
+$(HLP_FILE): $(AUTOGEN_TM)
+	$(TM2HLP) $< $(HLP_FILE)
+gcontour.hlp: ../../src/gcontour.sl
+	$(SL2TM) $+ | $(TM2HLP) - $@
+vector.hlp: ../../src/vector.sl
+	$(SL2TM) $+ | $(TM2HLP) - $@
 texclean:
 	-rm -f *.dvi *.log *.aux *.toc *.out
 clean: texclean
 	-rm -f *~ rtl/*.BAK rtl/*~ *.tmp *-error
 distclean: clean
-	-rm -f *.html *.ps $(HLP_FILE) $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES) $(AUTOGEN_TM)
+	-rm -f *.html *.ps $(HLP_FILES) $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES) $(AUTOGEN_TM)
 install-txt: $(TXT_FILES)
 	-mv $(TXT_FILES) ../text
-install-help: $(HLP_FILE)
+install-help: $(HLP_FILES)
 	-mkdir -p $(HELPDIR)
-	-mv $(HLP_FILE) $(HELPDIR)
+	-mv $(HLP_FILES) $(HELPDIR)
 install-all: all install-help install-txt $(PS_FILES) $(PDF_FILES)
 	-mkdir -p $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR)
 	-mv *.html $(HTMLDIR)

=== examples/3d/Makefile ===
PNG_FILES = \
  rotating_cube.png \
  rotating_cube.pdf \

# rotating_cube.pdf is generated together with rotating_cube.png

include ../Makefile.sub

=== examples/draw/Makefile ===
PNG_FILES = \
  inclinometer.png \

include ../Makefile.sub

=== examples/pict/Makefile ===
PNG_FILES = \
  colormaps.png \
  colornames.png

include ../Makefile.sub

=== examples/plot/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
   symbol.png \
   scilabel.png \
   ticlabels.png \
+  timetics.png \
   world.png
 # project.png \

=== examples/polyline/Makefile ===
PNG_FILES = \
  arrows.png \
  fill-styles.png \

include ../Makefile.sub

=== examples/transparent/Makefile ===
PNG_FILES = \
  mandelbrot.pdf

ADDITIONAL_FILES_TO_CLEAN = \
  mandelbrot.svg mandelbrot_alpha.png

%.pdf: %.sl
	slsh -DSLXFIG_RENDER_LATEX_AS_TRANSPARENT_PNG ../run.sl $<

include ../Makefile.sub

=== debian/changelog ===
slxfig (0.2.0~.138-2) unstable; urgency=medium

  * d/u/metadata:
    + Update repository URLs
    + Add Gallery field
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Drop ghostscript from Build-Depends (it is a dependency of fig2dev)
    + Drop texlive-base-bin from Build-Depends
    + Tag as profile <!nocheck> the packages only needed for running the
      unit tests
  * d/watch: Convert to foramt version 5
  * d/rules:
    + Set DEB_BUILD_MAINT_OPTIONS to hardening=+all
    + Save and restore original configure script

 -- Rafael Laboissière <rafael@debian.org>  Tue, 30 Sep 2025 09:24:33 -0300

slxfig (0.2.0~.138-1) unstable; urgency=medium

  * New upstream version 0.2.0~.138
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 19 Jan 2024 08:44:28 -0300

slxfig (0.2.0~.137-1) unstable; urgency=medium

  * New upstream version 0.2.0~.137
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright: Update list of Copyright years
  * d/slang-xfig.lintian-overrides: Fix syntax of Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Dec 2023 02:15:13 -0300

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,16 @@
 Priority: optional
 Maintainer: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               fig2dev,
-               texlive-latex-base,
-               texlive-base-bin,
-               slsh,
+               fig2dev <!nocheck>,
                libslang2-dev,
-               ghostscript,
-               texlive-fonts-recommended,
-               texlive-fonts-extra
-Standards-Version: 4.6.1
+               slsh <!nocheck>,
+               texlive-fonts-extra <!nocheck>,
+               texlive-fonts-recommended <!nocheck>,
+               texlive-latex-base <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://www.jedsoft.org/fun/slxfig/
 Vcs-Git: https://salsa.debian.org/debian/slxfig.git
 Vcs-Browser: https://salsa.debian.org/debian/slxfig
-Rules-Requires-Root: no
 
 Package: slang-xfig
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,15 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --no-parallel
+
+execute_before_dh_autoreconf:
+	cp configure configure-orig
+
+execute_after_dh_clean:
+	[ -e configure-orig ] && mv configure-orig configure || true
 
 export AUTOHEADER = true
 execute_after_dh_autoreconf:

=== debian/tests/control ===
--- 
+++ 
@@ -2,4 +2,3 @@
 Depends: @, slsh, fig2dev, texlive-latex-base,
  texlive-base-bin, ghostscript, texlive-fonts-recommended,
  texlive-fonts-extra
-

=== debian/watch ===
Version: 5

Source: https://www.jedsoft.org/snapshots/
Matching-Pattern: slxfig-(.*)@ARCHIVE_EXT@
Uversionmangle: s/pre([\d.]+)-(\d+)/$1~.$2/
